Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Interface ScopeMetadataResolver

All Known Implementing Classes:
  AnnotationScopeMetadataResolver, Jsr330ScopeMetadataResolver

    public interface ScopeMetadataResolver

Strategy interface for resolving the scope of bean definitions.

Since:
  2.5
Author:
  Mark Fisher
See Also:
  `Scope`

Method Summary
`ScopeMetadata` | `resolveScopeMetadata(BeanDefinition definition)` Resolve the `ScopeMetadata` appropriate to the supplied bean `definition`.

Method Detail

### resolveScopeMetadata

    ScopeMetadata resolveScopeMetadata(BeanDefinition definition)

  Resolve the `ScopeMetadata` appropriate to the supplied bean `definition`.

  Implementations can of course use any strategy they like to determine the scope metadata, but some implementations that spring immediately to mind might be to use source level annotations present on `the class` of the supplied `definition`, or to use metadata present in the `AttributeAccessor.attributeNames()` of the supplied `definition`.

  Parameters:
    `definition` - the target bean definition
  Returns:
    the relevant scope metadata; never `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD